org.eclipse.cdt.core.dom.ast

## Interface IASTPreprocessorIfStatement

All Superinterfaces:
  IASTNode, IASTPreprocessorStatement

    public interface IASTPreprocessorIfStatement
    extends IASTPreprocessorStatement

This interface represent a preprocessor #if statement.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTPreprocessorStatement

`MACRO_NAME`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`char[]` `getCondition()` The condition of the if.
`boolean` `taken()` Was this branch taken?

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, copy, copy, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Method Detail

#### taken

    boolean taken()

Was this branch taken?

Returns:
  boolean

#### getCondition

    char[] getCondition()

The condition of the if.

Returns:
  the Condition